POV-Ray : Newsgroups : povray.unofficial.patches : Hgpovray38, current state : Re: Hgpovray38, current state Server Time
28 Nov 2021 09:46:50 EST (-0500)
  Re: Hgpovray38, current state  
From: jr
Date: 13 Sep 2018 11:40:00
Message: <web.5b9a8458b933d837b0d4fc1e0@news.povray.org>
hi,

clipka <ano### [at] anonymousorg> wrote:
> Am 13.09.2018 um 11:29 schrieb jr:
> > Le Forgeron <jgr### [at] freefr> wrote:
> >> Le 12/09/2018 à 23:50, jr a écrit :
> >>> downloaded the .tar.gz version and run into trouble -- make error when
> >>> compilation gets to the maths/spline code.  log posted in p.binaries.misc.
> >> What age is your compiler ?
> > 4.8.2.  :-)
>
> For the records, GCC 4.8.2 is feature-complete with respect to C++11.
> ...
> Case in point: gcc 4.8.2 (or, more precisely, the standard header files
> that came with it), despite claiming full C++11 compliance, actually
> isn't, due to a couple of bugs in the implementation of std::vector<T>.
>
> And that seems to be exactly what you are seeing; I couldn't find a bug
> report matching the /exact/ symptoms, but the error messages point to a
> a non-standard-compliant interface of `std::vector<T>::insert`, and
> there are bug reports of multiple other non-compliances of
> `std::vector<T>`, such as this one:
>
>     https://gcc.gnu.org/bugzilla/show_bug.cgi?id=55817
>
> Judging from when the other bugs were fixed, you'll probably need gcc
> 4.9 or later.

wow.  thank you very much for digging in to the details, appreciated.  update it
is then (well, near future :-))


regards, jr.


Post a reply to this message

Copyright 2003-2021 Persistence of Vision Raytracer Pty. Ltd.